

@foreground-color: #222;
@background-color: #FFF;
@content-backcolor: #FFF;


body {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  width: 100vw;


  div.lang_menu {
    position: absolute;
    top: 50px;
    right: 50px;

    a {
      color: @foreground-color;
      text-decoration: none;
      font-size: 18px;
      font-weight: bold;
      cursor: pointer;

      display: block;
      transition: 1s;
      transform: scale(1.0);

      &:hover {
        transform: scale(1.3);
      }
    }
  }

  div.content_block {
    div.flyauth {
      display: flex;
      align-items: center;
      justify-content: center;
      height: calc(100vh - 326px);

      div.step_form {
        height: 170px;

        h3 {
          text-align: center;
        }

        div.err_msg {
          text-align: center;
        }

        div.step_form_inputs {
          display: flex;
          flex-wrap: wrap;
          align-items: center;
          justify-content: space-around;
          width: 432px;
          height: 100px;


          input, button {
            border: 3px solid @background-color;
            color: @background-color;
            font-size: 21px;
          }

          button {
            width: 60px;
            height: 60px;
            border-radius: 30px;
            border: none;
            transition: 1s;
            cursor: pointer;

            color: @foreground-color;
            background-color: @content-backcolor;
            font-size: 32px;

            &:hover {
              width: 90px;
              height: 90px;
              border-radius: 45px;

              color: @background-color;
              background-color: @foreground-color;
            }

            &[disabled] {
              color: @content-backcolor;
              background-color: @content-backcolor;
              cursor: default;

                
              &:hover {
                width: 60px;
                height: 60px;
                border-radius: 30px;
              }

            }
          }

          input {
            width: 220px;
            cursor: pointer;
            color: @foreground-color;
            background-color: @content-backcolor;
            border: none;
            outline: none;
          }
        }

        div.step_form_extra {
          text-align: center;
        }
      }
    }
  }

  img.captcha {
    position: absolute;
    top: calc(50vh - 150px);
    left: calc(50vw - 100px);
    outline: 1px solid #0002;
  }
}

@import 'theme-960.less';
